Subject: Re: [PATCHv2] gitweb: Better regexp for SHA-1 committag match

From: Jakub Narebski <[email-masked]>
Date: Sat, 7 Feb 2009 10:25:01 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > It would unfortunately falsely match... but we cannot eliminate this
> > case (well, at least not checking if hexnumber is followed by dot),
> > because of totally legitimate
> >
> >    ... at commit 8457bb9e.
> >
> > So even with that we would have still false matches...
> 
> Yeah, so what's the value in v2 over v1?  It is still wrong but it is less
> wrong than it used to be?  I think the word-boundary one made a good
> sense.  I do not see the @lookahead adding much value at all.

Right. So v2 is less useful that I thought it to be; and adding further
"exceptions" doesn't seem like a good idea.  The 'msgid' committag
when/if it gets implemented would help there...

So please take v1, as it is sane improvement and generic enough.
-- 
Jakub Narebski
Poland